Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012201ScribusUser Interfacepublic2014-04-07 01:152014-08-31 20:17
ReporterFirasH 
Assigned Tojghali 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.0svn 
Summary0012201: [PATCH] Empty tooltips in Preferences window
DescriptionIn the Preferences window there are 2 empty tooltips that should not be there. They're shown as a small white rectangle, a tooltip without text.
Steps To Reproduce1) Go to File > Preferences... > User Interface > Start Up
2) Place the mouse over one of the 2 entries
Additional InformationScribus 1.5.0 SVN (19017)
TagsNo tags attached.
Patch
Attached Files? file icon 12201 [^] (996 bytes) 2014-08-15 15:45 [Show Content]

- Relationships
related to 0012507closedcbradney [PATCH] Added tooltip "Create range of pages" to ellipsis icon in all Scribus export dialogs 
related to 0012604closedjghali [PATCH] "Convert To" should be "Convert to" under Item menu 
related to 0012615closedjghali [PATCH] Fix some untranslatable UI strings (3) 

-  Notes
(0031655)
FirasH (developer)
2014-04-08 20:39

Same thing for File > Preferences... > User Interface > Interactivity > "Time before resize or move starts"

Reason (?): in the source file prefs_userinterface.cpp those tooltips are set as follows: tr( "" ) with nothing inside

Solution:
1) Remove empty tooltips
2) Add text to the tooltip

The entries that have the empty tooltip do not have one in 1.4.4, so I'll upload a .patch file in case the solution choosen is 1 (to save time).
(0031657)
cbradney (administrator)
2014-04-08 23:15

The tooltips are in the UI files, and at least the ones in the first part of this bug are in the ui files. It could relate to translation.. not sure.
(0032040)
FirasH (developer)
2014-06-07 10:13

I was using the patch uploaded without reverting the file to the official one and seems to work.
Any other ideas on how to fix this issue?
(0033169)
Kunda (manager)
2014-08-04 04:37

Yes, I confirm. When hovering over these options empty rectangles appead (empty tooltips)
(0033189)
Kunda (manager)
2014-08-06 21:48

What should these tooltips be ?
(0033210)
FirasH (developer)
2014-08-08 19:07

I think this patch is correct after playing a bit trying to fix 0012507.
Some tooltips are in .ui files and some others are in .cpp files.
(Example: prefs_pdfexport.cpp and prefs_externaltoolsbase.ui)
(0033281)
jghali (administrator)
2014-08-19 11:10

I applied your patch, thanks! Rather than removing the faulty lines, I just commented them out however as we might want some tooltip for those checkboxes ultimately.
(0033405)
FirasH (developer)
2014-08-31 20:17

Thanks jghali!
Fixed in 1.5.0.svn (19468).

- Issue History
Date Modified Username Field Change
2014-04-07 01:15 FirasH New Issue
2014-04-08 20:39 FirasH Note Added: 0031655
2014-04-08 20:46 FirasH File Added: prefs_userinterface.zip
2014-04-08 23:15 cbradney Note Added: 0031657
2014-06-07 10:13 FirasH Note Added: 0032040
2014-07-11 23:53 Kunda Target Version => 1.5.1
2014-08-01 22:39 Kunda Status new => feedback
2014-08-01 22:39 Kunda Summary Empty tooltips in Preferences window => [PATCH] Empty tooltips in Preferences window
2014-08-04 04:37 Kunda Note Added: 0033169
2014-08-04 04:37 Kunda Status feedback => confirmed
2014-08-06 21:48 Kunda Note Added: 0033189
2014-08-08 19:07 FirasH Note Added: 0033210
2014-08-08 19:08 FirasH Relationship added related to 0012507
2014-08-08 19:16 FirasH Priority low => normal
2014-08-08 19:16 FirasH Severity trivial => tweak
2014-08-14 02:48 FirasH Relationship added related to 0012604
2014-08-15 15:45 FirasH File Deleted: prefs_userinterface.zip
2014-08-15 15:45 FirasH File Added: 12201
2014-08-18 00:36 FirasH Relationship added related to 0012615
2014-08-19 11:10 jghali Note Added: 0033281
2014-08-19 11:10 jghali Status confirmed => resolved
2014-08-19 11:10 jghali Fixed in Version => 1.5.0svn
2014-08-19 11:10 jghali Resolution open => fixed
2014-08-19 11:10 jghali Assigned To => jghali
2014-08-31 20:17 FirasH Note Added: 0033405
2014-08-31 20:17 FirasH Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker